#region Header

/*
 * Copyright (c) eHealth
 */

#endregion Header

/**
* ETK Service Integration Tests This test shows the use of the Key Depot Service through the use of the Technical Connector
*/
namespace be.ehealth.technicalconnector.service.sts
{
    using be.ehealth.technicalconnector.config;
    using be.ehealth.technicalconnector.service.sts.impl;
    using be.ehealth.technicalconnector.service.sts.security;

    class STSServiceWsTrustSAML20ImplUserIntegrationTest : STSServiceBaseTest
    {

        /**
         * Constructor that uses the correct Service
         */
        STSServiceWsTrustSAML20ImplUserIntegrationTest() {
            setService(new STSServiceWsTrustSAML20Impl());
            ConfigFactory.getConfigValidator()
                         .setProperty("endpoint.sts", "https://services-acpt.ehealth.fgov.be/IAM/SecurityTokenService/v1");
        }

        protected override string getHolderOfKeyMethod() {
            return SAML20Token.HOK_METHOD;
        }

        protected override string getSenderVouchesMethod() {
            return SAML20Token.SV_METHOD;
        }
    }
}